import { BioEntityContentsState } from '@/redux/bioEntity/bioEntity.types';
import { createSlice } from '@reduxjs/toolkit';
import { getBioEntityContentsReducer, setBioEntityContentReducer } from './bioEntity.reducers';

const initialState: BioEntityContentsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const bioEntityContentsSlice = createSlice({
  name: 'bioEntityContents',
  initialState,
  reducers: {
    setBioEntityContent: setBioEntityContentReducer,
  },
  extraReducers: builder => {
    getBioEntityContentsReducer(builder);
  },
});

export const { setBioEntityContent } = bioEntityContentsSlice.actions;

export default bioEntityContentsSlice.reducer;
