import { SIZE_OF_EMPTY_ARRAY } from '@/constants/common';
import { rootSelector } from '@/redux/root/root.selectors';
import { createSelector } from '@reduxjs/toolkit';

export const drugsSelector = createSelector(rootSelector, state => state.drugs);

export const loadingDrugsStatusSelector = createSelector(drugsSelector, state => state.loading);
export const numberOfDrugsSelector = createSelector(drugsSelector, state => {
  if (!state.data) {
    return SIZE_OF_EMPTY_ARRAY;
  }

  let numberOfDrugs = 0;

  state.data.forEach(element => {
    numberOfDrugs += element.targets.length;
  });

  return numberOfDrugs;
});
