import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getReactionsByIds } from './reactions.thunks';
import { ReactionsState } from './reactions.types';

export const getReactionsReducer = (builder: ActionReducerMapBuilder<ReactionsState>): void => {
  builder.addCase(getReactionsByIds.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getReactionsByIds.fulfilled, (state, action) => {
    state.data = action.payload;
    state.loading = 'succeeded';
  });
  builder.addCase(getReactionsByIds.rejected, state => {
    state.loading = 'failed';
    // TODO: error management to be discussed in the team
  });
};
