import { createSlice } from '@reduxjs/toolkit';
import { getReactionsReducer } from './reactions.reducers';
import { ReactionsState } from './reactions.types';

const initialState: ReactionsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const reactionsSlice = createSlice({
  name: 'reactions',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getReactionsReducer(builder);
  },
});

export default reactionsSlice.reducer;
